%define libver 0.4
%define libgtkver %{libver}
%define major 0
%define gtkmajor %{major}

%define libname		%mklibname champlain %{libver} %{major}
%define libgtkname	%mklibname champlain-gtk %{libgtkver} %{gtkmajor}
%define develname	%mklibname champlain %{libver} -d

Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.4.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/GNOME 
URL:		http://blog.pierlux.com/projects/libchamplain/en/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch: libchamplain-0.4.4-pyclutter-gtk-check.patch
BuildRequires:	clutter-gtk-devel >= 0.10
BuildRequires: 	libsoup-devel
BuildRequires:  gobject-introspection-devel gir-repository
#gw python binding:
BuildRequires:  python-clutter-gtk-devel
BuildRequires:  python-clutter-devel
BuildRequires:  libGConf2-devel 
BuildRequires:  pygtk2.0-devel
#gw Csharp binding
#BuildRequires: clutter-gtk-sharp
BuildRequires:	gtk-doc
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%package -n %{libname}
Summary:	Map view for Clutter
Group:		System/Libraries

%description -n %{libname}
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%package -n %{libgtkname}
Summary:	Map view for Clutter
Group:		System/Libraries

%description -n %{libgtkname}
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

This package contains the GTK+ view for %{name}

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%libname = %{version}
Requires:	%libgtkname = %{version}
Provides:	%name-devel = %version-%release
Obsoletes:	%mklibname champlain 0.3 -d

%description -n %{develname}
This package contains development files for %{name}.


%package -n python-champlain
Summary: Python bindings for %name
Group: Development/Python
Requires: %libname = %{version}
Requires: python-clutter-gtk

%description -n python-champlain
This package contains Python bindings for %{name}.

%prep
%setup -q
%patch -p1
autoreconf -fi

%build
%configure2_5x --disable-static --enable-gtk-doc --enable-python
%make

%install
rm -rf ${buildroot}
%makeinstall_std 
cp -r bindings/python/demos .
rm -f demos/Makefile*

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}-%{libver}.so.%{major}*
%_libdir/girepository-1.0/Champlain-%libver.typelib

%files -n %{libgtkname}
%defattr(-,root,root,-)
%{_libdir}/%{name}-gtk-%{libgtkver}.so.%{gtkmajor}*
%_libdir/girepository-1.0/GtkChamplain-%libver.typelib

%files -n %{develname}
%defattr(-,root,root,-)
%doc NEWS
%doc demos/launcher.c
%{_libdir}/*.la
%{_libdir}/%{name}-%{libver}.so
%{_libdir}/%{name}-gtk-%{libgtkver}.so
%{_libdir}/pkgconfig/champlain-%{libver}.pc
%{_libdir}/pkgconfig/champlain-gtk-%{libgtkver}.pc
%dir %{_datadir}/gtk-doc/html/%{name}
%dir %{_datadir}/gtk-doc/html/%{name}-gtk
%doc %{_datadir}/gtk-doc/html/%{name}/*
%doc %{_datadir}/gtk-doc/html/%{name}-gtk/*
%dir %{_includedir}/%{name}-%{libver}
%dir %{_includedir}/%{name}-%{libver}/champlain
%{_includedir}/%{name}-%{libver}/champlain/*.h
%dir %{_includedir}/%{name}-gtk-%{libgtkver}
%dir %{_includedir}/%{name}-gtk-%{libgtkver}/champlain-gtk/
%{_includedir}/%{name}-gtk-%{libgtkver}/champlain-gtk/*.h
%_datadir/gir-1.0/Champlain-%libver.gir
%_datadir/gir-1.0/GtkChamplain-%libver.gir

%files -n python-champlain
%defattr(-,root,root,-)
%doc README
%doc demos/
%{py_platsitedir}/champlain.*
%{py_platsitedir}/champlaingtk.*


%changelog
* Tue Mar 23 2010 Götz Waschk <waschk@mandriva.org> 0.4.5-1mdv2010.1
+ Revision: 526923
- update to new version 0.4.5

* Fri Feb 12 2010 Götz Waschk <waschk@mandriva.org> 0.4.4-3mdv2010.1
+ Revision: 504651
- rebuild for new clutter
- drop perl binding here

* Wed Feb 03 2010 Götz Waschk <waschk@mandriva.org> 0.4.4-2mdv2010.1
+ Revision: 500454
- add python and perl bindings

* Fri Jan 29 2010 Götz Waschk <waschk@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 497899
- update to new version 0.4.4

* Sat Jan 09 2010 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 488189
- update to new version 0.4.3

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdv2010.1
+ Revision: 460929
- new version
- drop patch

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 0.4.1-1mdv2010.0
+ Revision: 458924
- Release 0.4.1
- replace Patch0 with Fedora version

  + Götz Waschk <waschk@mandriva.org>
    - obsolete old devel package

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2010.0
+ Revision: 440843
- new version
- new soname

* Fri Sep 04 2009 Götz Waschk <waschk@mandriva.org> 0.3.92-1mdv2010.0
+ Revision: 429873
- update to new version 0.3.92

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 0.3.91-1mdv2010.0
+ Revision: 420323
- update to new version 0.3.91

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 0.3.90-4mdv2010.0
+ Revision: 417723
- fix build with new gobject-introspection
- fix devel provides

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 0.3.90-2mdv2010.0
+ Revision: 415270
- move typelib to the library packages

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 0.3.90-1mdv2010.0
+ Revision: 414452
- update build deps
- new version
- new source URL
- enable introspection

* Thu Aug 06 2009 Götz Waschk <waschk@mandriva.org> 0.3.6-2mdv2010.0
+ Revision: 410558
- fix devel provides

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 0.3.6-1mdv2010.0
+ Revision: 408646
- new version
- update deps
- new major
- readd libtool archives

* Sun Jul 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.3-1mdv2010.0
+ Revision: 392400
- Fix BuildRequires
- import libchamplain


